import * as ui from '@minecraft/server-ui'
import { World, world } from '@minecraft/server'
//form Home
let formRoot = new ui.ActionFormData()
formRoot.title({ "translate": "text.unusualprehistory.title"})
formRoot.body({ "translate": "text.unusualprehistory.body_root"})
//Index categories /How to revive/ Plants/Animals
formRoot.button({ "translate": "text.unusualprehistory.root_button_1"})
formRoot.button({ "translate": "text.unusualprehistory.root_button_2"})
formRoot.button({ "translate": "text.unusualprehistory.root_button_3"})
//########################################################//
//Form How to revive category
let formHTR = new ui.ActionFormData()
formHTR.title({ "translate": "text.unusualprehistory.htr_title"})
formHTR.body({ "translate": "text.unusualprehistory.htr_body"})
formHTR.button({ "translate": "text.unusualprehistory.htr_button_1"},"textures/ui_icons/renders/analizer")
formHTR.button({ "translate": "text.unusualprehistory.htr_button_2"},"textures/items/cultivator_item")
//Form How to revive Analizer data
let formHTRAnalizerData = new ui.ActionFormData()
formHTRAnalizerData.title({ "translate": "text.unusualprehistory.htr_button_1"})
formHTRAnalizerData.body({ "translate": "text.unusualprehistory.htrAnalizerData_body"})
formHTRAnalizerData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_analizer_icon")
//Form How to revive Cultivator data
let formHTRCultivatorData = new ui.ActionFormData()
formHTRCultivatorData.title({ "translate": "text.unusualprehistory.htr_button_2"})
formHTRCultivatorData.body({ "translate": "text.unusualprehistory.htrCultivatorData_body"})
formHTRCultivatorData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_cultivator_icon")
//########################################################//
//Form Plants of Prehistory
let formPOH = new ui.ActionFormData()
formPOH.title({"translate":"text.unusualprehistory.root_button_2"})
formPOH.body({"translate":"text.unusualprehistory.poh_body"})
formPOH.button({"translate":"item.up:horsetail.name"},"textures/ui_icons/renders/horsetail")
formPOH.button({"translate":"item.up:leefructus.name"},"textures/ui_icons/renders/leefructus")
//Form Plants of Prehistory Horsetail Data
let formPOHhorsetailData = new ui.ActionFormData()
formPOHhorsetailData.title({"translate":"item.up:horsetail.name"})
formPOHhorsetailData.body({"translate":"text.unusualprehistory.pohHorsetailData_body"})
formPOHhorsetailData.button({"translate":"text.unusualprehistory.exit_page"})
//Form Plants of Prehistory Leefructus Data
let formPOHleefuctusData = new ui.ActionFormData()
formPOHleefuctusData.title({"translate":"item.up:leefructus.name"})
formPOHleefuctusData.body({"translate":"text.unusualprehistory.pohLeefructusData_body"})
formPOHleefuctusData.button({"translate":"text.unusualprehistory.exit_page"})
//########################################################//
//Form Animals of prehistory
let formAOP = new ui.ActionFormData()
formAOP.title({"translate":"text.unusualprehistory.root_button_3"})
formAOP.body({"translate":"text.unusualprehistory.aop_body"})
formAOP.button({"translate":"entity.up:ammonite.name"},"textures/ui_icons/renders/ammonite")
formAOP.button({"translate":"entity.up:stethacanthus.name"},"textures/ui_icons/renders/stetha")
formAOP.button({"translate":"entity.up:dunkleosteus.name"},"textures/ui_icons/renders/dunk")
formAOP.button({"translate":"entity.up:cotylorhynchus.name"},"textures/ui_icons/renders/coty")
formAOP.button({"translate":"entity.up:anurognathus.name"},"textures/ui_icons/renders/anuro")
formAOP.button({"translate":"entity.up:beelzebufo.name"},"textures/ui_icons/renders/beelz")
formAOP.button({"translate":"entity.up:majungasaurus.name"},"textures/ui_icons/renders/majunga")

//Form Amonite
let formAmmonite = new ui.ActionFormData()
formAmmonite.title({"translate":"entity.up:ammonite.name"})
formAmmonite.body({"translate":"text.unusualprehistory.ammon_body"})
formAmmonite.button({"translate":"item.up:ammonite_shell.name"},"textures/items/ammonite_shell")
formAmmonite.button({"translate":"item.up:warpick.name"},"textures/items/warpick")
//Form Amonite shell data
let formAmmoniteShellData = new ui.ActionFormData()
formAmmoniteShellData.title({"translate":"entity.up:ammonite.name"})
formAmmoniteShellData.body({ "translate": "text.unusualprehistory.AmoniteShellData_body"})
formAmmoniteShellData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_amon_shell")
//Form Amonite warpick data
let formAmmoniteWarpickData = new ui.ActionFormData()
formAmmoniteWarpickData.title({"translate":"item.up:warpick.name"})
formAmmoniteWarpickData.body({ "translate": "text.unusualprehistory.AmoniteWarpickData_body"})
formAmmoniteWarpickData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_warpick")

//Form Stethacanthus
let formStethacanthus = new ui.ActionFormData()
formStethacanthus.title({"translate":"entity.up:stethacanthus.name"})
formStethacanthus.body({"translate":"text.unusualprehistory.stetha_body"})
formStethacanthus.button({"translate":"text.unusualprehistory.exit_page"})
//Form Dunkleosteus
let formDunkleosteus = new ui.ActionFormData()
formDunkleosteus.title({"translate":"entity.up:dunkleosteus.name"})
formDunkleosteus.body({"translate":"text.unusualprehistory.dunk_body"})
formDunkleosteus.button({"translate":"text.unusualprehistory.exit_page"})
//Form Cotylorhynchus
let formCotylorhynchus = new ui.ActionFormData()
formCotylorhynchus.title({"translate":"entity.up:cotylorhynchus.name"})
formCotylorhynchus.body({"translate":"text.unusualprehistory.coty_body"})
formCotylorhynchus.button({"translate":"text.unusualprehistory.exit_page"})
//Form Anurognathus
let formAnurognathus = new ui.ActionFormData()
formAnurognathus.title({"translate":"entity.up:anurognathus.name"})
formAnurognathus.body({"translate":"text.unusualprehistory.anuro_body"})
formAnurognathus.button({"translate":"text.unusualprehistory.exit_page"})

//Form Beelzebufo
let formBeelzebufo = new ui.ActionFormData()
formBeelzebufo.title({"translate":"entity.up:beelzebufo.name"})
formBeelzebufo.body({"translate":"text.unusualprehistory.beelz_body"})
formBeelzebufo.button({"translate":"text.up:name_tag.name"},"textures/items/name_tag")
formBeelzebufo.button({"translate":"item.up:meat_on_a_stick.name"},"textures/items/meat_on_a_stick")
//Form Beelzebufo Nametag data
let formBeelzebufoNametagData = new ui.ActionFormData()
formBeelzebufoNametagData.title({"translate":"text.up:name_tag.name"})
formBeelzebufoNametagData.body({ "translate": "text.unusualprehistory.BeelzebufoNametagData_body"})
formBeelzebufoNametagData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_nametag")
//Form Beelzebufo MeatStick data
let formBeelzebufoMeatStickData = new ui.ActionFormData()
formBeelzebufoMeatStickData.title({"translate":"item.up:meat_on_a_stick.name"})
formBeelzebufoMeatStickData.body({ "translate": "text.unusualprehistory.BeelzebufoMeatStickData_body"})
formBeelzebufoMeatStickData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_meatstick")

//Form Majungasaurus
let formMajungasaurus = new ui.ActionFormData()
formMajungasaurus.title({"translate":"entity.up:majungasaurus.name"})
formMajungasaurus.body({"translate":"text.unusualprehistory.majunga_body"})
formMajungasaurus.button({"translate":"item.up:majunga_helmet.name"},"textures/items/majunga_helmet")
//Form Majungasaurus helmet data
let formMajungasaurusHelmetData = new ui.ActionFormData()
formMajungasaurusHelmetData.title({"translate":"item.up:majunga_helmet.name"})
formMajungasaurusHelmetData.body({ "translate": "text.unusualprehistory.MajungasaurusHelmetData_body"})
formMajungasaurusHelmetData.button({ "translate": "text.unusualprehistory.exit_page"},"textures/ui_icons/craft_majungahelmet")

world.afterEvents.itemUse.subscribe(eventData => {
    let player = eventData.source
    let item = eventData.itemStack
    if(item.typeId == 'up:encyclopedia'){
        formRoot.show(player).then(result =>{
            let selection = result.selection
            if(selection == 0){
                formHTR.show(player).then(result =>{
                    let selection = result.selection
                    if(selection == 0){
                        formHTRAnalizerData.show(player)
                    }
                    if(selection == 1){
                        formHTRCultivatorData.show(player)
                    }
                })
            }
            if(selection == 1){
                formPOH.show(player).then(result =>{
                    let selection = result.selection
                    if(selection == 0){
                        formPOHhorsetailData.show(player)
                    }
                    if(selection == 1){
                        formPOHleefuctusData.show(player)
                    }
                })
            }
            if(selection == 2){
                formAOP.show(player).then(result =>{
                    let selection = result.selection
                    if(selection == 0){
                        formAmmonite.show(player).then(result =>{
                            let selection = result.selection
                            if(selection == 0){
                                formAmmoniteShellData.show(player)
                            }
                            if(selection == 1){
                                formAmmoniteWarpickData.show(player)
                            }
                        })
                    }
                    if(selection == 1){
                        formStethacanthus.show(player)
                    }
                    if(selection == 2){
                        formDunkleosteus.show(player)
                    }
                    if(selection == 3){
                        formCotylorhynchus.show(player)
                    }
                    if(selection == 4){
                        formAnurognathus.show(player)
                    }
                    if(selection == 5){
                        formBeelzebufo.show(player).then(result =>{
                            let selection = result.selection
                            if(selection == 0){
                                formBeelzebufoNametagData.show(player)
                            }
                            if(selection == 1){
                                formBeelzebufoMeatStickData.show(player)
                            }
                        })
                    }
                    if(selection == 6){
                        formMajungasaurus.show(player).then(result =>{
                            let selection = result.selection
                            if(selection == 0){
                                formMajungasaurusHelmetData.show(player)
                            }
                        })
                    }
                })
            }
        })
    }
})